# Name

pylint

# Category

Test

# Description

Runs pylint against Python code.

# Environment Variables

None

# Options

Option | Notes
--- | ---
`--pylint=<file>` | Location of the `pylint` binary if it is not on the path. Default is 'pylint'.
`--pylint-pip-cmd=<file>` | Location of the `pip` binary for install requirements.txt files. Default is 'pip'.
`--pylint-rcfile=<file>` | Location of the `.pylintrc` file to override `pylint` default.
`--pylint-requirements=<bool>` | Process any `requirements.txt` file. Default is 'false'.
`--pylint-use-user=<bool>` | Use `--user` for processing the `requirements.txt` file. Default is 'true'.

# Docker Notes

None

# Developer Notes

None